.\"	$NetBSD: sl.4,v 1.15 2006/07/09 02:30:50 tsutsui Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     From:	@(#)lo.4	8.1 (Berkeley) 6/5/93
.\"
.Dd July 9, 2006
.Dt SL 4
.Os
.Sh NAME
.Nm sl
.Nd Serial Line IP (SLIP) network interface
.Sh SYNOPSIS
.Cd pseudo-device sl
.Sh DESCRIPTION
The
.Nm
interface allows asynchronous serial lines to be used as
.Tn IPv4
network interfaces using the
.Tn SLIP
protocol.
.Pp
To use the
.Nm
interface, the administrator must first create the interface and assign
a tty line to it.
The
.Nm
interface is created using the
.Xr ifconfig 8
.Cm create
subcommand, and
.Xr slattach 8
is used to assign a tty line to the interface.
Once the interface is attached, network source and destination addresses and
other parameters are configured via
.Xr ifconfig 8 .
.Pp
The
.Nm
interface can use Van Jacobson
.Tn TCP
header compression and
.Tn ICMP
filtering.
The following flags to
.Xr ifconfig 8
control these properties of a SLIP link:
.Bl -tag -width Ar
.It Ar link0
Turn on Van Jacobson header compression.
.It Ar -link0
Turn off header compression. (default)
.It Ar link1
Don't pass through ICMP packets.
.It Ar -link1
Do pass through ICMP packets. (default)
.It Ar link2
If a packet with a compressed header is received, automatically enable
compression of outgoing packets. (default)
.It Ar -link2
Don't auto-enable compression.
.El
.Sh DIAGNOSTICS
.Bl -diag
.It sl%d: af%d not supported .
The interface was handed
a message with addresses formatted in an unsuitable address
family; the packet was dropped.
.El
.Sh SEE ALSO
.Xr inet 4 ,
.Xr intro 4 ,
.Xr ppp 4 ,
.Xr strip 4 ,
.Xr ifconfig 8 ,
.Xr slattach 8 ,
.Xr sliplogin 8 ,
.Xr slstats 8
.Rs
.%A J. Romkey
.%R RFC
.%N 1055
.%D June 1988
.%T "A Nonstandard for Transmission of IP Datagrams over Serial Lines: SLIP"
.Re
.Rs
.%A Van Jacobson
.%R RFC
.%N 1144
.%D February 1990
.%T "Compressing TCP/IP Headers for Low-Speed Serial Links"
.Re
.Sh HISTORY
The
.Nm
device appeared in
.Nx 1.0 .
.Sh BUGS
.Tn SLIP
can only transmit
.Tn IPv4
packets between preconfigured hosts on an asynchronous serial link.
It has no provision for address negotiation,
carriage of additional protocols (e.g.
.Tn XNS ,
.Tn AppleTalk ,
.Tn DECNET ) ,
and is not designed for synchronous serial links.
This is why
.Tn SLIP
has been superseded by the Point-to-Point Protocol
.Pq Tn PPP ,
which does all of those things, and much more.
